Subject: Re: bug#47071: 28.0.50; Show ERT failure reason in batch mode

From: Philipp Stephani <[email-masked]>
Date: Mon, 17 May 2021 17:52:46 +0200

Am Mo., 17. Mai 2021 um 17:36 Uhr schrieb Lars Ingebrigtsen <[email-masked]>:
>
> Julian Scheid <[email-masked]> writes:
>
> > The data is only displayed in interactive mode as a side-effect
> > however, not in batch mode.  I think it's useful to see the failure or
> > skip reason in batch mode as well, which is why I would like to
> > suggest the following change.
>
> Thanks, but I'm not sure this level of detail is helpful in batch mode.
>
> For instance, in python-tests, you get the wall of text included below,
> which I think would be excessive.
>
> Does anybody else have an opinion here?

On CI systems, you only have the logs written in batch mode. The more
complete they are, the better, since you can always filter out
information you don't need later, but not add missing information
after the fact. So printing lots of information is fine IMO.
A middle ground would be to support some kind of 'verbosity'
command-line option so that the environment could decide how much to
print.